View Issue Details

IDProjectCategoryView StatusLast Update
0006607Talerwallet (TS core)public2021-08-24 16:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006607: wallet-core should respond to confirmPay with ConfirmPayPending on transient errors instead of an error response
DescriptionWhen the wallet-core has marked a payment as confirmed but did not yet succeed with POST /pay due to a transient error, the response to confirmPay should not be an error, but instead a ConfirmPayPending response, which indicates that the payment is still in progress.

Also needed:
 * integration test for this behavior
 * ideally: scenario to test it with the (Android) UI
TagsNo tags attached.

Activities

Florian Dold

2020-09-15 12:36

manager   ~0016972

Also, the wallet should emit a notification if the payment does eventually succeed.

Florian Dold

2020-11-04 12:15

manager   ~0017102

Fixed in df914412, including the integration test that checks for the right behavior of the wallet-core API.

Issue History

Date Modified Username Field Change
2020-09-15 12:19 Florian Dold New Issue
2020-09-15 12:19 Florian Dold Status new => assigned
2020-09-15 12:19 Florian Dold Assigned To => Florian Dold
2020-09-15 12:36 Florian Dold Note Added: 0016972
2020-11-04 12:15 Florian Dold Status assigned => resolved
2020-11-04 12:15 Florian Dold Resolution open => fixed
2020-11-04 12:15 Florian Dold Note Added: 0017102
2021-07-30 13:57 Christian Grothoff Fixed in Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed